package etu.sl213616;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Modality;
import javafx.stage.Stage;

public class FenetreConnexion {
    private App2 appInstance;  

    public FenetreConnexion(App2 appInstance) {
        this.appInstance = appInstance;
    }

    public void afficher() {
        try {
            FXMLLoader loader = new FXMLLoader(getClass().getResource("/fenetrePartie1.fxml"));
            Parent root = loader.load();
            ConnexionController controller = loader.getController();
            controller.setAppInstance(appInstance);

            Stage stage = new Stage();
            stage.setTitle("Connexion");
            stage.initModality(Modality.APPLICATION_MODAL); 
            stage.setScene(new Scene(root));
            stage.showAndWait();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
